List tickets
Lists tickets with optional filtering and pagination
Lists tickets with optional filtering and pagination
Harmony API bearer token.
125created_atPossible values: descPossible values: Filter by reporter employee IDs
Filter by assignee employee IDs. Use 'UNASSIGN' for unassigned
Filter by subdesk (team) IDs. Use 'UNASSIGN' for unassigned (main team)
Filter tickets by VIP status of the reporter employee
Filter tickets by location of the reporter employee
Filter tickets by auto-tag categories
Filter tickets by auto-tag entities
Filter tickets by auto-tag symptoms
Filter tickets created after this datetime (inclusive)
Filter tickets created before this datetime (exclusive)
Filter tickets resolved after this datetime (inclusive)
Filter tickets resolved before this datetime (exclusive)
Filter tickets updated after this datetime (inclusive)
Filter tickets updated before this datetime (exclusive)
Filter tickets by service catalog item IDs
Filter by watcher employee IDs
Successful Response
Validation Error
GET /service-desk/api/v1/tickets/ HTTP/1.1
Host: api.harmony.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"id": "text",
"display_id": "",
"title": "text",
"description": "text",
"ticket_type": "request",
"priority": "low",
"source": "slack",
"status": "open",
"reporter": "text",
"created_by": "text",
"assignee": "text",
"assignee_sync_provider": "text",
"desk_id": "text",
"subdesk_id": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"custom_fields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"ticket_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"checklist": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"text": "text",
"completed": false,
"completed_by": "text",
"completed_at": "2026-01-01T00:00:00.000Z"
}
],
"kb_resolution": {
"answer_summary": "text",
"sources": [
{
"url": "text",
"title": "text"
}
],
"chunks_count": 1,
"confidence": 1,
"queried_at": "2026-01-01T00:00:00.000Z"
},
"ai_insights": {
"ticket_type": "text",
"category": "text",
"sub_category": "text",
"entities": [
"text"
],
"symptoms": [
"text"
],
"edge_case_tags": [
"text"
],
"required_information_fields": [
"text"
],
"solution_flow": [
{
"ANY_ADDITIONAL_PROPERTY": "text"
}
],
"resolution_insights": [
"text"
],
"user_request": "text",
"user_intent": "text",
"classified_at": "2026-01-01T00:00:00.000Z"
},
"workflows": [
{
"workflow_id": "text",
"name": "text",
"description": "text",
"workflow_target": "text"
}
],
"tags": [
{
"id": 1,
"desk_id": "text",
"name": "text",
"color": "text",
"description": "text",
"system_tag": true,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"related_asset_ids": [
"123e4567-e89b-12d3-a456-426614174000"
],
"thread_id": "123e4567-e89b-12d3-a456-426614174000",
"service_catalog_item_id": "123e4567-e89b-12d3-a456-426614174000",
"survey_rating": 1,
"resolved_at": "2026-01-01T00:00:00.000Z",
"response_sla_deadline": "2026-01-01T00:00:00.000Z",
"response_sla_completed_at": "2026-01-01T00:00:00.000Z",
"resolution_sla_deadline": "2026-01-01T00:00:00.000Z",
"resolution_sla_completed_at": "2026-01-01T00:00:00.000Z",
"resolution_business_seconds": 1,
"response_business_seconds": 1,
"sla_paused_at": "2026-01-01T00:00:00.000Z",
"sla_total_paused_business_minutes": 0,
"itsm_sub_tickets": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
],
"total_count": 1
}Last updated
Was this helpful?
